<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////
require( "../inc/conf.inc.php" );
echo "<title>{$cname}</title>";
echo "<link rel=\"shortcut icon\" href=\"../favicon.ico\">";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: left }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div>Банковский отдел по переводу средств</div>";
require( "../inc/check.php" );
$login = autorize();
$login = $row['login'];
$query_users = @mysql_query("select * from `users` where id='$id' and ci={$ci};");
@mysql_query("update `users` set ltime='".time()."',  where id='".$id."' and ci={$ci};");
$data = @mysql_fetch_array($query_users);
$posts = $data['posts'];
if($login) {
if ($_GET[view]=="")
{
print  "$login Здесь Вы можете перевести свои посты на счет другому пользователю нашего чата<br/>";
//print  "У Вас <b>".$data['posts']."</b> тугриков<br/>";
if ( empty( $posts ) )
{
print "<br><span style=\"background-color:Black; color:Red\">У вас нет постов!<br>Таким лузерам как ты нужно идти в <br>";
echo "\r\n<img src=\"../icon/galeri.gif\" alt=\"\"><a href=\"../room.php?id={$id}&amp;pass={$pass}&amp;ci=".$ci."&amp;url={$url}\">Комнату</a><br/>\r\n";

echo "</span>";
}
else
{
print "<div>У Вас <b>$posts</b> постов</div>";
}

echo "<form method=\"post\" action=\"transpost.php?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;view=3\">";
echo "Ваш ник:";
echo "<br/><input type=\"text\" name=\"kto\" maxlength=\"20\" value=\"$login\"/><br/>";
echo "Ник лузера кому переводим:";
echo "<br/><input type=\"text\" name=\"komu\" maxlength=\"20\" value=\"$to\"/><br/>";
echo "Количество постов на перевод:";
echo "<br/><input type=\"text\" name=\"number\" maxlength=\"2\" value=\"$posts\"/><br/>";
echo "<input type=\"submit\" name=\"update\" value=\"ENTER\"/></p></form>";
}



if($_GET[view]==3)
{
$query_usersk = @mysql_query("select * from `users` where login='$komu' and ci='$ci';");
$datak = @mysql_fetch_array($query_usersk);
$baksk = $datak['posts'];

$kto = htmlspecialchars(substr($kto,0,20));
$komu = htmlspecialchars(substr($komu,0,20));
$number = htmlspecialchars(intval(substr($number,0,5)));

$minus = $posts-$number;
$plus = $baksk+$number;

if($posts < $number)
{
print'Ошибка при совершении операции!<br/>';
}

else if ($komu == $login){
echo'<font color="red">Tы Оштрафован с конфискацыей всех постов</font><br>'; 
@mysql_query("update `users` set posts='0' where login='$login'; ");
echo'<img src="../soobsh/img/act_home.gif" alt=""><a href="../enter.php?ci='.$ci.'&amp;id='.$id.'&amp;pass='.$pass.'&amp;url='.$url.'&amp;'.SID.'">На главную</a>';
exit;}

else
{
@mysql_query("update `users` set posts='$minus' where login='$kto' and ci={$ci}; ");

@mysql_query("update `users` set posts='$plus' where login='$komu' and ci={$ci}; ");
print'Тугрики успешно переведены!<br/>';
}

}

print "<div><a href=\"../enter.php?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a><br/></div><br/>";

} else { print "Ошибка!"; }

$end = gettime( );
echo "[".round( $end - $mystart, 5 )."]";
echo "</body></html>";
mysql_close( $link );
echo "\r\n";
?>